<?php
/*
 * $Horde: mnemo/view.php,v 1.1 2002/04/22 18:39:22 chuck Exp $
 *
 * Copyright 2001 Jon Parise <jon@horde.org>
 *
 * See the enclosed file COPYING for license information (GPL).  If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 */

define('MNEMO_BASE', dirname(__FILE__));
require_once MNEMO_BASE . '/lib/base.php';

/* If we aren't provided with a memo, redirect to the memo list. */
$memo_id = Horde::getFormData('memo');
if (!isset($memo_id)) {
    header('Location: ' . Horde::applicationUrl('list.php', true));
    exit;
}

/* Create a Mnemo storage instance. */
require_once MNEMO_BASE . '/lib/Driver.php';
$storage = &Mnemo_Driver::factory($conf['storage']['driver'], Auth::getAuth(),
                                  $conf['storage']['params']);
$storage->retrieve();

/* Get the current memo list. */
$memos = Mnemo::listMemos($storage);

/* Set the page title to the current memo's name, if it exists. */
$title = (!empty($memos[$memo_id])) ? $memos[$memo_id]['desc'] : _("Memo Details");

require MNEMO_TEMPLATES . '/common-header.inc';
require MNEMO_BASE . '/menu.php';
$notification->notify();

/* If the requested memo doesn't exist, display an error message. */
if (is_null($memos[$memo_id])) {
    include MNEMO_TEMPLATES . '/view/no-memo.inc';
} else {
    include MNEMO_TEMPLATES . '/view/headers.inc';
    include MNEMO_TEMPLATES . '/view/description.inc';
    include MNEMO_TEMPLATES . '/view/navbar.inc';
}

require MNEMO_TEMPLATES . '/common-footer.inc';

?>
